org.richfaces.component

## Class ValueBindingValueExpressionAdaptor

- java.lang.Object
- - javax.faces.el.ValueBinding
  - - org.richfaces.component.ValueBindingValueExpressionAdaptor

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class ValueBindingValueExpressionAdaptor
      extends javax.faces.el.ValueBinding
      implements javax.faces.component.StateHolder

  Author:
    Maksim Kaszynski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueBindingValueExpressionAdaptor()`
    `ValueBindingValueExpressionAdaptor(javax.el.ValueExpression expression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.el.ValueExpression` | `getExpression()`
    `Class<?>` | `getType(javax.faces.context.FacesContext context)`
    `Object` | `getValue(javax.faces.context.FacesContext context)`
    `boolean` | `isReadOnly(javax.faces.context.FacesContext context)`
    `boolean` | `isTransient()`
    `void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setExpression(javax.el.ValueExpression expression)`
    `void` | `setTransient(boolean newTransientValue)`
    `void` | `setValue(javax.faces.context.FacesContext context, Object value)`

    - ### Methods inherited from class javax.faces.el.ValueBinding

      `getExpressionString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueBindingValueExpressionAdaptor

          public ValueBindingValueExpressionAdaptor()

    - #### ValueBindingValueExpressionAdaptor

          public ValueBindingValueExpressionAdaptor(javax.el.ValueExpression expression)

  - ### Method Detail

    - #### getType

          public Class<?> getType(javax.faces.context.FacesContext context)
                           throws javax.el.ELException

      Specified by:
        `getType` in class `javax.faces.el.ValueBinding`
      Throws:
        `javax.el.ELException`

    - #### getValue

          public Object getValue(javax.faces.context.FacesContext context)
                          throws javax.el.ELException

      Specified by:
        `getValue` in class `javax.faces.el.ValueBinding`
      Throws:
        `javax.el.ELException`

    - #### isReadOnly

          public boolean isReadOnly(javax.faces.context.FacesContext context)
                             throws javax.el.ELException

      Specified by:
        `isReadOnly` in class `javax.faces.el.ValueBinding`
      Throws:
        `javax.el.ELException`

    - #### setValue

          public void setValue(javax.faces.context.FacesContext context,
                      Object value)
                        throws javax.el.ELException

      Specified by:
        `setValue` in class `javax.faces.el.ValueBinding`
      Throws:
        `javax.el.ELException`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`

    - #### setTransient

          public void setTransient(boolean newTransientValue)

      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`

    - #### getExpression

          public javax.el.ValueExpression getExpression()

    - #### setExpression

          public void setExpression(javax.el.ValueExpression expression)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.